<?xml version="1.0" encoding="utf-8"?>
<scpd xmlns="urn:schemas-upnp-org:service-1-0">
	<specVersion>
		<major>1</major>
		<minor>0</minor>
	</specVersion>
  	<actionList>
	<action>
		<name>ListPresets</name>
  		<argumentList>
        <argument>
          	<name>InstanceID</name>
          	<direction>in</direction>
          	<relatedStateVariable>A_ARG_TYPE_InstanceID</relatedStateVariable>
        </argument>
        <argument>
          	<name>CurrentPresetNameList</name>
          	<direction>out</direction>
          	<relatedStateVariable>PresetNameList</relatedStateVariable>
        </argument>
      </argumentList>
    </action>
    <action>
    <name>SelectPreset</name>
      <argumentList>
        <argument>
          	<name>InstanceID</name>
          	<direction>in</direction>
          	<relatedStateVariable>A_ARG_TYPE_InstanceID</relatedStateVariable>
        </argument>
        <argument>
         	<name>PresetName</name>
          	<direction>in</direction>
          	<relatedStateVariable>A_ARG_TYPE_PresetName</relatedStateVariable>
        </argument>
      </argumentList>
    </action>
    <action>
    <name>GetMute</name>
      <argumentList>
        <argument>
          	<name>InstanceID</name>
          	<direction>in</direction>
          	<relatedStateVariable>A_ARG_TYPE_InstanceID</relatedStateVariable>
        </argument>
        <argument>
          	<name>Channel</name>
          	<direction>in</direction>
          	<relatedStateVariable>A_ARG_TYPE_Channel</relatedStateVariable>
        </argument>
        <argument>
          	<name>CurrentMute</name>
          	<direction>out</direction>
          	<relatedStateVariable>Mute</relatedStateVariable>
        </argument>
      </argumentList>
    </action>
    <action>
    <name>SetMute</name>
      <argumentList>
        <argument>
          	<name>InstanceID</name>
          	<direction>in</direction>
          	<relatedStateVariable>A_ARG_TYPE_InstanceID</relatedStateVariable>
        </argument>
        <argument>
          	<name>Channel</name>
          	<direction>in</direction>
          	<relatedStateVariable>A_ARG_TYPE_Channel</relatedStateVariable>
        </argument>
        <argument>
          	<name>DesiredMute</name>
          	<direction>in</direction>
          	<relatedStateVariable>Mute</relatedStateVariable>
        </argument>
      </argumentList>
    </action>
    <action>
    <name>GetVolume</name>
      <argumentList>
        <argument>
          	<name>InstanceID</name>
          	<direction>in</direction>
          	<relatedStateVariable>A_ARG_TYPE_InstanceID</relatedStateVariable>
        </argument>
        <argument>
          	<name>Channel</name>
          	<direction>in</direction>
          	<relatedStateVariable>A_ARG_TYPE_Channel</relatedStateVariable>
        </argument>
        <argument>
          	<name>CurrentVolume</name>
          	<direction>out</direction>
          	<relatedStateVariable>Volume</relatedStateVariable>
        </argument>
      </argumentList>
    </action>
    <action>
    <name>SetVolume</name>
      <argumentList>
        <argument>
          	<name>InstanceID</name>
          	<direction>in</direction>
          	<relatedStateVariable>A_ARG_TYPE_InstanceID</relatedStateVariable>
        </argument>
        <argument>
          	<name>Channel</name>
          	<direction>in</direction>
          	<relatedStateVariable>A_ARG_TYPE_Channel</relatedStateVariable>
        </argument>
        <argument>
          	<name>DesiredVolume</name>
          	<direction>in</direction>
          	<relatedStateVariable>Volume</relatedStateVariable>
        </argument>
      </argumentList>
    </action>
    <action>
		<name>X_GetAllowedTransforms</name>
		<argumentList>
			<argument>
				<name>InstanceID</name>
				<direction>in</direction>
				<relatedStateVariable>A_ARG_TYPE_InstanceID</relatedStateVariable>
			</argument>
			<argument>
				<name>CurrentAllowedTransformSettings</name>
				<direction>out</direction>
				<relatedStateVariable>X_AllowedTransformSettings</relatedStateVariable>
			</argument>
		</argumentList>
	</action>
	<action>
		<name>X_SetTransforms</name>
		<argumentList>
			<argument>
				<name>InstanceID</name>
				<direction>in</direction>
				<relatedStateVariable>A_ARG_TYPE_InstanceID</relatedStateVariable>
			</argument>
			<argument>
				<name>DesiredTransformValues</name>
				<direction>in</direction>
				<relatedStateVariable>X_TransformSettings</relatedStateVariable>
			</argument>
		</argumentList>
	</action>
	<action>
		<name>X_GetTransforms</name>
		<argumentList>
			<argument>
				<name>InstanceID</name>
				<direction>in</direction>
				<relatedStateVariable>A_ARG_TYPE_InstanceID</relatedStateVariable>
			</argument>
			<argument>
				<name>CurrentTransformValues</name>
				<direction>out</direction>
				<relatedStateVariable>X_TransformSettings</relatedStateVariable>
			</argument>
		</argumentList>
	</action>
	<action>
		<name>X_GetAllAvailableTransforms</name>
		<argumentList>
			<argument>
				<name>AllAllowedTransformSettings</name>
				<direction>out</direction>
				<relatedStateVariable>X_AllowedTransformSettings</relatedStateVariable>
			</argument>
		</argumentList>
	</action>
  </actionList>
  <serviceStateTable>
    	<stateVariable sendEvents="no">
      		<name>PresetNameList</name>
      		<dataType>string</dataType>
    	</stateVariable>
    	<stateVariable sendEvents="yes">
      		<name>LastChange</name>
      		<dataType>string</dataType>
    	</stateVariable>
    	<stateVariable sendEvents="no">
      		<name>Mute</name>
      		<dataType>boolean</dataType>
    	</stateVariable>
    	<stateVariable sendEvents="no">
      		<name>Volume</name>
      		<dataType>ui2</dataType>
      		<allowedValueRange>
	      		<minimum>0</minimum>
	      		<maximum>100</maximum>
	      		<step>1</step>
      		</allowedValueRange>
		</stateVariable>
    	<stateVariable sendEvents="no">
      		<name>A_ARG_TYPE_Channel</name>
      		<dataType>string</dataType>
      		<allowedValueList>
    			<allowedValue>Master</allowedValue>
      		</allowedValueList>
    	</stateVariable>
    	<stateVariable sendEvents="no">
      		<name>A_ARG_TYPE_InstanceID</name>
      		<dataType>ui4</dataType>
    		</stateVariable>
    	<stateVariable sendEvents="no">
      		<name>A_ARG_TYPE_PresetName</name>
      		<dataType>string</dataType>
      		<allowedValueList>
        		<allowedValue>FactoryDefaults</allowedValue>
      		</allowedValueList>
    	</stateVariable>
    	<stateVariable sendEvents="no">
			<name>X_AllowedTransformSettings</name>
			<dataType>string</dataType>
		</stateVariable>
		<stateVariable sendEvents="no">
			<name>X_TransformSettings</name>
			<dataType>string</dataType>
		</stateVariable>
  	</serviceStateTable>
</scpd>